*You can learn about [what we plan to do with this fork](https://framacolibri.org/t/using-mobilizon-for-regional-leftist-subculture-calendar-platforms/18772) in this post in the Mobilizon forum.*

<h1 align="center">
  <a href="https://joinmobilizon.org">
    <img src="https://lutim.cpy.re/qVYC86G9.png" alt="Mobilizon">
  </a>
</h1>

Mobilizon is your federated organization and mobilization platform. Gather people with a convivial, ethical, and emancipating tool.

<p align="center">
  <strong>2017 - 2024 Developed with ♥ by <a href="https://framasoft.org">Framasoft</a></strong>
</p>

<p align="center">
  <a href="https://framasoft.org">
    <img width="150px" src="https://framasoft.org/nav/img/logo.svg" alt="Framasoft logo"/>
  </a>
</p>

## Notes about this fork

The currently deployed `v4.x` branch can be tested at [https://rotes.potsda.mn/](https://rotes.potsda.mn/).

### Building with Nix

For building this locally, you can use Nix (with Flakes enabled):

```
$ nix build git+ssh://git@git.potsda.mn/potsda.mn/mobilizon.git?ref=main#mobilizon
```

The built package is then located in `result/`.

## Introduction

Mobilizon is a tool designed to create platforms for managing communities and events. Its purpose is to help as many people as possible to free themselves from Facebook groups and events, from Meetup, etc.

The Mobilizon software is under a Free licence, so anyone can host a Mobilizon server, called an instance. These instances may federate with each other, so any person with an account on *ExampleMeet* will be able to register to an event created on *SpecimenEvent*.

## ✨ Features

### 👤 Identities

Do you want to separate your family gatherings from your associative activities or militant mobilizations?
You will have the power to create multiple identities from the same account, like so many social masks.

---

### 📅 Events and groups

Create your events and make sure they will appeal to everybody. 
Privacy settings and participants roles are supported.
There's no lock-in, you can interact with the event without registration.

---

## Contributing

We appreciate any contribution to Mobilizon. Check [our contributing page](https://docs.joinmobilizon.org/contribute/) for more information.

## Links

### Learn more
  * 🌐 Official website: [https://joinmobilizon.org](https://joinmobilizon.org)
  * 🔢 Pick an instance [https://mobilizon.org](https://mobilizon.org)
  * 💻 Source: [https://framagit.org/framasoft/mobilizon](https://framagit.org/framasoft/mobilizon)
  * 📜 Documentation [https://docs.joinmobilizon.org](https://docs.joinmobilizon.org)
    * A summarized description of structure of sources is done in [`docs/dev.md`](./docs/dev.md)
  
### Discuss
  * 💬 Element/Matrix: [https://matrix.to/#/#Mobilizon:matrix.org](https://matrix.to/#/#Mobilizon:matrix.org)
  * 🗣️ Forum: [https://framacolibri.org/c/mobilizon](https://framacolibri.org/c/mobilizon)

### Follow
  * 🐘 Mastodon: [https://framapiaf.org/@mobilizon](https://framapiaf.org/@mobilizon)
  * 🐦 Twitter [https://twitter.com/@joinmobilizon](https://twitter.com/@joinmobilizon)
  
Note: Most federation code comes from [Pleroma](https://pleroma.social), which is `Copyright © 2017-2018 Pleroma Authors - AGPL-3.0`.


## ❤️ Supports of our crowdfunding
---

We have run [a crowdfunding campaign](https://framablog.org/2019/05/14/mobilizon-lets-finance-a-software-to-free-our-events-from-facebook/) to pave the road to the version 1.0.0 of Mobilizon. Thanks to everyone who pitched in and shared the news around! The list of [everyone who donated is available here](https://joinmobilizon.org/hall-of-fame).
